为已登录的会员报名活动
POST
/v1/events/{slug}/registrations
const url = 'https://api.vimine.network/v1/events/example/registrations';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"registration_type":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","note":"example","quantity":1,"locale":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/events/example/registrations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "quantity": 1, "locale": "example" }'免费类型:返回 201,带有 status: confirmed 和二维码 token。需付参与费的类型:返回 201,带有 status: reserved、金额以及协会的 payment_instructions;协会记录参与费后,报名即确认(Stripe Checkout 将随 L3 阶段推出)。422 not_eligible 带有原因(参见报名资格)。
授权方式
章节“授权方式”参数
章节“参数”路径参数
章节“路径参数”slug
必填
string
请求体必填
章节“请求体必填”媒体类型application/json
object
registration_type
必填
string 格式: uuid
note
string
quantity
integer
locale
提交报名时所用的语言(it、en):即发给嘉宾的邮件所用的语言,也是从未选择语言的会员的后备语言。默认采用 Accept-Language
string
示例自动生成
{ "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "quantity": 1, "locale": "example"}响应
章节“响应”201
章节“201”已报名
媒体类型application/json
object
id
string 格式: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
checked_in_at
string 格式: date-time
cancelled_at
string 格式: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions
保留期间如何缴纳参与费
string
note
当事人填写的自由文本。如果协会声明其处理特殊类别的数据,则对第三方客户端隐去(null)
string
created_at
string 格式: date-time
token
报名的二维码内容(vmt_…),仅限已确认的报名
string
示例
{ "status": "reserved"}400
章节“400”请求无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章节“401”缺少凭据或凭据无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章节“403”无权操作
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}422
章节“422”不具备报名资格(reasons),或报名类型未知
429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}